Subject: Re: bug#66281: 30.0.50; Emacs won't start on X11 with 10 bit color depth

From: Po Lu <[email-masked]>
Date: Mon, 02 Oct 2023 18:47:29 +0800

Alexander Prähauser <[email-masked]> writes:

> I uninstalled the Emacs version I had on my desktop, then
> downloaded the newest source file, ran make and make install,
> changed to the directory /usr/local/bin which was the only Emacs
> executable I found and did the commands you sent again,
> but I don't see any difference in the output. Should I have ran
> Emacs from somewhere else?

Did you compile Emacs without debugging symbols?  Please compile Emacs
absent any modifications to CFLAGS (particularly those which delete -g3
from it), and try again.